%define nosrt 1
%define nopcsc 1

Name:           tsduck
Version:        3.25.2237
Release:        1%{?dist}
Summary:        MPEG transport stream toolkit

Group:          Applications/Multimedia
License:        BSD
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  binutils
%if 0%{!?nocurl:1}
Requires:       libcurl
BuildRequires:  libcurl-devel
%endif
%if 0%{!?nopcsc:1}
Requires:       pcsc-lite
BuildRequires:  pcsc-lite-devel
%endif
%if 0%{!?nosrt:1}
Requires:       srt-libs
BuildRequires:  srt-devel
%endif

%description
TSDuck, the MPEG Transport Stream Toolkit, provides some simple utilities to
process MPEG Transport Streams (TS), either as recorded files or live streams.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
%if 0%{!?nopcsc:1}
Requires:       pcsc-lite-devel
%endif

%description    devel
The %{name}-devel package contains the static library and header files for
developing applications that use %{name}.

# Disable debuginfo package.
%global debug_package %{nil}

# Propagate component exclusions.
%define makeflags NOTEST=1 %{?nocurl:NOCURL=1} %{?nopcsc:NOPCSC=1} %{?nosrt:NOSRT=1} NOTELETEXT=1 NODTAPI=1 %{?mflags}

%prep
%setup -q

%build
make %{?_smp_mflags} %{makeflags}

%install
rm -rf $RPM_BUILD_ROOT
make %{makeflags} install SYSROOT=$RPM_BUILD_ROOT
make %{makeflags} install-devel SYSROOT=$RPM_BUILD_ROOT
# Weird note: libtsduck.so needs to be executable, otherwise rpm does not consider it as a valid dependency.
chmod 0755 $RPM_BUILD_ROOT/usr/lib*/libtsduck.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/ts*
%exclude %{_bindir}/tsconfig
%{_libdir}/libtsduck.so
%{_libdir}/tsduck
%{_datadir}/tsduck
/lib/udev/rules.d/80-tsduck.rules
%{_sysconfdir}/security/console.perms.d/80-tsduck.perms
%doc CHANGELOG.txt LICENSE.txt doc/tsduck.pdf

%files devel
%defattr(-,root,root,-)
%{_bindir}/tsconfig
%{_libdir}/libtsduck.a
%{_includedir}/tsduck
%doc LICENSE.txt
